## cloudkitty 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=2.0.0,!=2.1.0 # Apache-2.0
alembic>=0.8.0 # MIT
keystonemiddleware>=4.0.0 # Apache-2.0
gnocchiclient>=2.5.0 # Apache-2.0
python-monascaclient>=1.9.0 # Apache-2.0
python-keystoneclient>=1.9.0,!=2.1.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
iso8601>=0.1.9 # MIT
PasteDeploy>=1.5.0 # MIT
pecan>=1.0.0,!=1.0.2,!=1.0.3,!=1.0.4,!=1.2 # BSD
WSME>=0.8 # MIT
oslo.config>=3.7.0,!=4.3.0,!=4.4.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.24.2,!=9.0.0 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
python-dateutil>=2.5.3 # BSD
SQLAlchemy>=1.0.10,!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8 # MIT
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
voluptuous>=0.11.1 # BSD License
influxdb>=5.1.0 # MIT
Flask>=1.0.2 # BSD
Flask-RESTful>=0.3.5 # BSD
cotyledon>=1.5.0 # Apache-2.0
futurist>=1.6.0 # Apache-2.0

=== debian/changelog ===
cloudkitty (13.0.0-6) unstable; urgency=medium

  * Tune cloudkitty-api-uwsgi.ini for performance.
  * Add Fix-default-admin_or_owner-policy-expression.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 May 2021 09:10:18 +0200

cloudkitty (13.0.0-5) unstable; urgency=medium

  * Add rate-everyone.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Mar 2021 09:43:01 +0100

cloudkitty (13.0.0-4) unstable; urgency=medium

  * Add add-force-granularity-300-for-cpu.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Feb 2021 09:59:21 +0100

cloudkitty (13.0.0-3) unstable; urgency=medium

  * Add log-how-many-tenants-fetched.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 15:52:26 +0100

cloudkitty (13.0.0-2) unstable; urgency=medium

  * mv /etc/cloudkitty/policy.json /etc/cloudkitty/disabled.policy.json.old
    instead of deleting /etc/cloudkitty/policy.json.
  * Fix installation path of the policy.d folder.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 11:16:44 +0100

cloudkitty (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:03:16 +0200

cloudkitty (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fix (build-)depends for this release.
  * Now using /etc/cloudkitty/policy.d and yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 15:00:13 +0200

cloudkitty (12.0.0-3) unstable; urgency=medium

  * Add a /healtcheck URL.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2020 15:09:31 +0200

=== debian/control ===
Source: cloudkitty
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alembic,
 python3-cotyledon,
 python3-coverage,
 python3-dateutil,
 python3-ddt,
 python3-doc8,
 python3-flask,
 python3-flask-restful,
 python3-futurist,
 python3-gabbi,
 python3-gnocchiclient,
 python3-hacking,
 python3-influxdb,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-monascaclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-pep8,
 python3-pygments,
 python3-reno,
 python3-six,
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-tooz,
 python3-wsme (>= 0.10.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty
Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
Homepage: https://github.com/openstack/cloudkitty

Package: cloudkitty-api
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 debconf,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Rating as a Service - API server
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty API server.

Package: cloudkitty-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-cloudkitty (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Rating as a Service - common files
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains common files for Cloudkitty.

Package: cloudkitty-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Rating as a Service - Documentation
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the documentation.

Package: cloudkitty-processor
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Rating as a Service - processor
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty processor daemon.

Package: python3-cloudkitty
Architecture: all
Section: python
Depends:
 python3-alembic,
 python3-cotyledon,
 python3-dateutil,
 python3-flask,
 python3-flask-restful,
 python3-futurist,
 python3-gnocchiclient,
 python3-influxdb,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-monascaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tooz,
 python3-wsme (>= 0.10.0),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-cloudkitty,
Description: OpenStack Rating as a Service - Python library
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/cloudkitty-common.config debian/cloudkitty-common.postinst
	rm -f debian/cloudkitty-api.config debian/cloudkitty-api.postinst debian/cloudkitty-common.postrm
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cloudkitty-common.postrm
	pkgos-merge-templates cloudkitty-api cloudkitty endpoint
	pkgos-merge-templates cloudkitty-common cloudkitty db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Patch to find metrics.yml from curdir instead of /etc
	# This is needed for both tests and generating cloudkitty.conf
	patch -p1 <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*))'
endif

	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf \
		--namespace cloudkitty.common.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_authtoken cloudkitty

	# Unpatch for production
	patch -p1 -R <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector

	# Set everything to use [keystone_authtoken] by default, otherwise it points to a non-working config
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf ceilometer_collector auth_section keystone_authtoken
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf gnocchi_collector auth_section keystone_authtoken
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_fetcher auth_section keystone_authtoken

	# Set correct value for metrics.yml after we've patched it:
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf collect metrics_conf /etc/cloudkitty/metrics.yml

	# Set the lock_path
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf oslo_concurrency lock_path /var/lock/cloudkitty

	# Fixed default backend
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf fetcher backend keystone

	# Fixed using /etc/cloudkitty/policy.d
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf oslo_policy policy_dirs /etc/cloudkitty/policy.d

	mkdir -p $(CURDIR)/debian/cloudkitty-common/etc/cloudkitty/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cloudkitty-common/etc/cloudkitty/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cloudkitty

	for i in api_paste.ini metrics.yml ; do \
		install -D -m 0664 etc/cloudkitty/$$i $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/$$i ; \
	done


	dh_install
	dh_missing --fail-missing
	# Generate all config files

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	# Warning: building doc fails.
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html || true
	rm -rf $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/.doctrees
	touch $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	echo "No man pages for now"
#	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cloudkitty/tags .*/(\d[brc\d\.]+)\.tar\.gz

## cloudkitty 13.0.2

=== debian/changelog ===
cloudkitty (13.0.2-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Add_the_NOTNUMBOOL_mutator.patch.
  * Replace the rate-everyone.patch by a much nicer
    Adding_two_options_in_keystone_fetcher.patch.
  * New upstream release.
  * Removed Fix-default-admin_or_owner-policy-expression.patch applied
    upstream.
  * Add Custom_query_Gnocchi_collector.patch.
  * Add support-elasticsearch-datastream.patch.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Wed, 01 Oct 2025 14:04:36 +0000

## cloudkitty 14.0.2

=== debian/changelog ===
cloudkitty (14.0.2-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Replace rate-everyone.patch by a much nicer
    Adding_two_options_in_keystone_fetcher.patch.
  * New upstream release.
  * Removed Fix-default-admin_or_owner-policy-expression.patch applied
    upstream.
  * Add support-elasticsearch-datastream.patch.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Wed, 01 Oct 2025 14:27:25 +0000

cloudkitty (14.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Aug 2021 09:34:09 +0200

cloudkitty (14.0.0-2) unstable; urgency=medium

  * Add Fix-default-admin_or_owner-policy-expression.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Apr 2021 09:47:43 +0200

cloudkitty (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:10:35 +0200

cloudkitty (14.0.0~rc1-1) experimental; urgency=medium

  * Tune cloudkitty-api-uwsgi.ini for performance.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed add-healthcheck.patch applied upstream.
  * Removed log-how-many-tenants-fetched.patch applied upstream.
  * Do not _static/toggle.js when building doc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 21:03:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
  openstack-pkg-tools (>= 99~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 5.5.1),
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-alembic,
+ python3-alembic (>= 1.4.3),
  python3-cotyledon,
  python3-coverage,
  python3-dateutil,
@@ -27,7 +27,7 @@
  python3-gabbi,
  python3-gnocchiclient,
  python3-hacking,
- python3-influxdb,
+ python3-influxdb (>= 5.3.1),
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
@@ -35,32 +35,32 @@
  python3-kombu,
  python3-monascaclient,
  python3-openstackdocstheme,
- python3-os-api-ref,
+ python3-os-api-ref (>= 2.1.0),
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
- python3-oslo.i18n,
+ python3-oslo.i18n (>= 5.0.1),
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 12.6.0),
  python3-oslo.middleware,
- python3-oslo.policy,
- python3-oslo.upgradecheck,
- python3-oslo.utils,
+ python3-oslo.policy (>= 3.6.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-oslotest,
  python3-pastedeploy,
  python3-pecan,
  python3-pep8,
  python3-pygments,
  python3-reno,
- python3-six,
  python3-sphinxcontrib-pecanwsme (>= 0.10.0),
- python3-sphinxcontrib.httpdomain,
+ python3-sphinxcontrib.httpdomain (>= 1.7.0),
  python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
  python3-testscenarios,
  python3-tooz,
+ python3-voluptuous (>= 0.12.0),
  python3-wsme (>= 0.10.0),
  subunit,
 Standards-Version: 4.4.1
@@ -160,14 +160,14 @@
 Architecture: all
 Section: python
 Depends:
- python3-alembic,
+ python3-alembic (>= 1.4.3),
  python3-cotyledon,
  python3-dateutil,
  python3-flask,
  python3-flask-restful,
  python3-futurist,
  python3-gnocchiclient,
- python3-influxdb,
+ python3-influxdb (>= 5.3.1),
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
@@ -177,20 +177,20 @@
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
- python3-oslo.i18n,
+ python3-oslo.i18n (>= 5.0.1),
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 12.6.0),
  python3-oslo.middleware,
- python3-oslo.policy,
- python3-oslo.upgradecheck,
- python3-oslo.utils,
+ python3-oslo.policy (>= 3.6.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-pastedeploy,
- python3-pbr,
+ python3-pbr (>= 5.5.1),
  python3-pecan,
- python3-six,
  python3-sqlalchemy,
  python3-stevedore,
  python3-tooz,
+ python3-voluptuous (>= 0.12.0),
  python3-wsme (>= 0.10.0),
  ${misc:Depends},
  ${python3:Depends},

## cloudkitty 15.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=5.5.1 # Apache-2.0
alembic>=1.4.3 # MIT
keystonemiddleware>=9.1.0 # Apache-2.0
gnocchiclient>=7.0.6 # Apache-2.0
python-monascaclient>=2.2.1 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
keystoneauth1>=4.2.1 # Apache-2.0
iso8601>=0.1.13 # MIT
PasteDeploy>=2.1.1 # MIT
pecan>=1.3.3 # BSD
WSME>=0.10.0 # MIT
oslo.config>=8.3.3 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.concurrency>=4.3.1 # Apache-2.0
oslo.db>=8.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.messaging>=12.6.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
python-dateutil>=2.7.0 # BSD
SQLAlchemy>=1.3.20 # MIT
stevedore>=3.2.2 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
voluptuous>=0.12.0 # BSD License
influxdb>=5.3.1 # MIT
Flask>=2.0.0 # BSD
Flask-RESTful>=0.3.9 # BSD
cotyledon>=1.7.3 # Apache-2.0
futurist>=2.3.0 # Apache-2.0

=== debian/changelog ===
cloudkitty (15.0.0-4) unstable; urgency=medium

  * Add python3-os-api-ref depends in cloudkitty-doc (Closes: #988807).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 18:13:45 +0100

cloudkitty (15.0.0-3) unstable; urgency=medium

  * Add Adding_two_options_in_keystone_fetcher.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Oct 2021 09:53:39 +0200

cloudkitty (15.0.0-2) unstable; urgency=medium

  * Add touch cloudkitty-doc/html/_static/toggle.js to fix dh_sphinxdoc call.
    (Closes: #997421).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Oct 2021 11:19:19 +0200

cloudkitty (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:13:05 +0200

cloudkitty (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed min version of python3-flask-restfull.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:44:42 +0200

cloudkitty (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on python3-flask >= 2.0.0.
  * Remove patches applied upstream:
    - add-force-granularity-300-for-cpu.patch
    - Fix-default-admin_or_owner-policy-expression.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 23:10:09 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  python3-dateutil,
  python3-ddt,
  python3-doc8,
- python3-flask,
- python3-flask-restful,
+ python3-flask (>= 2.0.0),
+ python3-flask-restful (>= 0.3.9),
  python3-futurist,
  python3-gabbi,
  python3-gnocchiclient,
@@ -120,6 +120,7 @@
 Architecture: all
 Section: doc
 Depends:
+ python3-os-api-ref,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: OpenStack Rating as a Service - Documentation
@@ -163,8 +164,8 @@
  python3-alembic (>= 1.4.3),
  python3-cotyledon,
  python3-dateutil,
- python3-flask,
- python3-flask-restful,
+ python3-flask (>= 2.0.0),
+ python3-flask-restful (>= 0.3.9),
  python3-futurist,
  python3-gnocchiclient,
  python3-influxdb (>= 5.3.1),

=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,7 @@
 	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html || true
 	rm -rf $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/.doctrees
 	touch $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static/toggle.js
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
 
 override_dh_installman:

## cloudkitty 15.0.1

=== debian/changelog ===
cloudkitty (15.0.1-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Wed, 01 Oct 2025 14:26:39 +0000

cloudkitty (15.0.0-5) UNRELEASED; urgency=medium

  * Add support-elasticsearch-datastream.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2024 09:37:06 +0200

## cloudkitty 16.0.0

=== debian/changelog ===
cloudkitty (16.0.0-4~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add support-elasticsearch-datastream.patch.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Wed, 01 Oct 2025 14:26:03 +0000

cloudkitty (16.0.0-2) unstable; urgency=medium

  * Autopkgtest: blacklist test_get_total_one_scope_one_period.* as they are
    failing on  some arch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 09:59:45 +0200

cloudkitty (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:02:41 +0200

cloudkitty (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 16:29:23 +0100

cloudkitty (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Adding_two_options_in_keystone_fetcher.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 11:37:56 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-alembic (>= 1.4.3),
  python3-cotyledon,
  python3-coverage,
+ python3-datetimerange,
  python3-dateutil,
  python3-ddt,
  python3-doc8,
@@ -163,6 +164,7 @@
 Depends:
  python3-alembic (>= 1.4.3),
  python3-cotyledon,
+ python3-datetimerange,
  python3-dateutil,
  python3-flask (>= 2.0.0),
  python3-flask-restful (>= 0.3.9),

## cloudkitty 16.0.1

=== requirements.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 oslo.policy>=3.6.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-python-dateutil>=2.7.0 # BSD
+python-dateutil>=2.8.0 # BSD
 SQLAlchemy>=1.3.20 # MIT
 stevedore>=3.2.2 # Apache-2.0
 tooz>=2.7.1 # Apache-2.0
@@ -33,3 +33,4 @@
 Flask-RESTful>=0.3.9 # BSD
 cotyledon>=1.7.3 # Apache-2.0
 futurist>=2.3.0 # Apache-2.0
+datetimerange>=0.6.1 # MIT

=== debian/changelog ===
cloudkitty (16.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:08:41 +0000

cloudkitty (16.0.0-4) UNRELEASED; urgency=medium

  * Add support-elasticsearch-datastream.patch.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 16:25:25 +0200

## cloudkitty 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,11 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
+
 pbr>=5.5.1 # Apache-2.0
 alembic>=1.4.3 # MIT
 keystonemiddleware>=9.1.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=3.3.1 # BSD
openstackdocstheme>=2.2.6 # Apache-2.0
sphinxcontrib-httpdomain>=1.7.0 # BSD
sphinxcontrib-pecanwsme>=0.10.0 # Apache-2.0
reno>=3.2.0 # Apache-2.0
Pygments>=2.7.2 # BSD license
os-api-ref>=2.1.0 # Apache-2.0

=== debian/changelog ===
cloudkitty (17.0.0-3) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 13:11:26 +0200

cloudkitty (17.0.0-2) unstable; urgency=medium

  * Fixed building cloudkitty's doc (Closes: #1026693).

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Dec 2022 14:36:56 +0100

cloudkitty (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 21:33:11 +0200

cloudkitty (17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 17:53:02 +0200

cloudkitty (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2022 14:48:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr (>= 5.5.1),

=== debian/rules ===
--- 
+++ 
@@ -96,7 +96,9 @@
 	# Warning: building doc fails.
 	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html || true
 	rm -rf $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/.doctrees
-	touch $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static/toggle.js
+	if [ -e $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static ] ; then \
+		touch $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static/toggle.js ; \
+	fi
 	dh_sphinxdoc
 endif

## cloudkitty 18.0.0

=== requirements.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 oslo.db>=8.4.0 # Apache-2.0
 oslo.i18n>=5.0.1 # Apache-2.0
 oslo.log>=4.4.0 # Apache-2.0
-oslo.messaging>=12.6.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=4.1.1 # Apache-2.0
 oslo.policy>=3.6.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-sphinx>=3.3.1 # BSD
+sphinx>=3.3.1,<5.0.0 # BSD
 openstackdocstheme>=2.2.6 # Apache-2.0
 sphinxcontrib-httpdomain>=1.7.0 # BSD
 sphinxcontrib-pecanwsme>=0.10.0 # Apache-2.0

=== debian/changelog ===
cloudkitty (18.0.0-4) unstable; urgency=medium

  * Added cloudkitty.conf.sample to extend-diff-ignore (Closes: #1043989).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 13:12:26 +0200

cloudkitty (18.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:02:43 +0200

cloudkitty (18.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 15:51:15 +0200

cloudkitty (18.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:20:02 +0100

cloudkitty (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of (build-)depends when satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * d/rules: removed --with systemd.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Mar 2023 16:50:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete

## cloudkitty 18.1.0

=== debian/changelog ===
cloudkitty (18.1.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Wed, 01 Oct 2025 14:23:07 +0000

cloudkitty (18.0.0-5) UNRELEASED; urgency=medium

  * Add support-elasticsearch-datastream.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2024 09:39:11 +0200

## cloudkitty 19.0.0

=== debian/changelog ===
cloudkitty (19.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS (Closes: #1052907)
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 08:46:03 +0200

cloudkitty (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist 2 broken tests:
    - StorageTotalTest\.test_get_total_without_filter_but_timestamp.*
  * Cleans better.
  * Fails the build if the doc build fails.
  * Add remove-wsmeext.sphinxext.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 09:13:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,29 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
- python3-pbr (>= 5.5.1),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-alembic (>= 1.4.3),
+ python3-alembic,
  python3-cotyledon,
  python3-coverage,
  python3-datetimerange,
  python3-dateutil,
  python3-ddt,
  python3-doc8,
- python3-flask (>= 2.0.0),
- python3-flask-restful (>= 0.3.9),
+ python3-flask,
+ python3-flask-restful,
  python3-futurist,
  python3-gabbi,
  python3-gnocchiclient,
  python3-hacking,
- python3-influxdb (>= 5.3.1),
+ python3-influxdb,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
@@ -36,33 +36,33 @@
  python3-kombu,
  python3-monascaclient,
  python3-openstackdocstheme,
- python3-os-api-ref (>= 2.1.0),
+ python3-os-api-ref,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
- python3-oslo.i18n (>= 5.0.1),
+ python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 12.6.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.policy,
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-oslotest,
  python3-pastedeploy,
  python3-pecan,
  python3-pep8,
  python3-pygments,
  python3-reno,
- python3-sphinxcontrib-pecanwsme (>= 0.10.0),
- python3-sphinxcontrib.httpdomain (>= 1.7.0),
+ python3-sphinxcontrib-pecanwsme,
+ python3-sphinxcontrib.httpdomain,
  python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
  python3-testscenarios,
  python3-tooz,
- python3-voluptuous (>= 0.12.0),
- python3-wsme (>= 0.10.0),
+ python3-voluptuous,
+ python3-wsme,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty
@@ -80,7 +80,6 @@
  q-text-as-data,
  uwsgi-plugin-python3,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack Rating as a Service - API server
  CloudKitty aims at filling the gap between metrics collection systems like
@@ -143,7 +142,6 @@
  adduser,
  cloudkitty-common (= ${source:Version}),
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack Rating as a Service - processor
  CloudKitty aims at filling the gap between metrics collection systems like
@@ -162,15 +160,15 @@
 Architecture: all
 Section: python
 Depends:
- python3-alembic (>= 1.4.3),
+ python3-alembic,
  python3-cotyledon,
  python3-datetimerange,
  python3-dateutil,
- python3-flask (>= 2.0.0),
- python3-flask-restful (>= 0.3.9),
+ python3-flask,
+ python3-flask-restful,
  python3-futurist,
  python3-gnocchiclient,
- python3-influxdb (>= 5.3.1),
+ python3-influxdb,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
@@ -180,21 +178,21 @@
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
- python3-oslo.i18n (>= 5.0.1),
+ python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 12.6.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.policy,
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-pastedeploy,
- python3-pbr (>= 5.5.1),
+ python3-pbr,
  python3-pecan,
  python3-sqlalchemy,
  python3-stevedore,
  python3-tooz,
- python3-voluptuous (>= 0.12.0),
- python3-wsme (>= 0.10.0),
+ python3-voluptuous,
+ python3-wsme,
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 	rm -f debian/cloudkitty-common.config debian/cloudkitty-common.postinst
 	rm -f debian/cloudkitty-api.config debian/cloudkitty-api.postinst debian/cloudkitty-common.postrm
 	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
-	rm -rf build
+	rm -rf build *.egg-info $(CURDIR)/debian/po
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	cp $(CURDIR)/debian/cloudkitty.conf.sample doc/source/_static/cloudkitty.conf.sample
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.config
@@ -38,7 +41,7 @@
 	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*))'
+	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*storage\.v1\.test_storage\.StorageTotalTest\.test_get_total_without_filter_but_timestamp.*))'
 endif
 
 	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
@@ -94,7 +97,10 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	# Warning: building doc fails.
-	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html || true
+	set -e ; set -x ; if ! PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html ; then \
+		cat /tmp/sphinx-err*.log ; \
+		exit 1 ; \
+	fi
 	rm -rf $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/.doctrees
 	if [ -e $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static ] ; then \
 		touch $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static/toggle.js ; \

## cloudkitty 19.1.0

=== debian/changelog ===
cloudkitty (19.1.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Wed, 01 Oct 2025 14:22:37 +0000

cloudkitty (19.0.0-2) UNRELEASED; urgency=medium

  * Add support-elasticsearch-datastream.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2024 09:39:44 +0200

## cloudkitty 20.0.0

=== debian/changelog ===
cloudkitty (20.0.0-1ubuntu2) noble; urgency=medium

  * d/tests/unittests,d/rules: Drop skiplist for unit testing. 
  * d/tests/unittests: Clear http(s)_proxy environment variables as this
    causes unit test failures.
  * d/p/rate-everyone.patch: Drop, not in use.
  * d/p/misc-fixes-for-Python-3.12-compatibility.patch: Misc fixes for
    test failures under Python 3.12 in Ubuntu.
  * d/tests/unittests: Skip execution under s390x until LP: #2060760 is
    resolved.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Apr 2024 17:12:06 +0100

cloudkitty (20.0.0-1ubuntu1) noble; urgency=medium

  * d/tests/unittests: Skip HashMapRatingTest.test_create_threshold as
    it fails on s390x (tracked under LP: #2060760).

 -- James Page <james.page@ubuntu.com>  Wed, 10 Apr 2024 05:53:21 +0100

cloudkitty (20.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:07:35 +0200

cloudkitty (20.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Mar 2024 13:36:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cloudkitty
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -29,12 +30,12 @@
  python3-gnocchiclient,
  python3-hacking,
  python3-influxdb,
+ python3-influxdb-client,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-kombu,
- python3-monascaclient,
  python3-openstackdocstheme,
  python3-os-api-ref,
  python3-oslo.concurrency,
@@ -169,11 +170,11 @@
  python3-futurist,
  python3-gnocchiclient,
  python3-influxdb,
+ python3-influxdb-client,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
- python3-monascaclient,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*storage\.v1\.test_storage\.StorageTotalTest\.test_get_total_without_filter_but_timestamp.*))'
+	pkgos-dh_auto_test
 endif
 
 	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common

## cloudkitty 20.0.0+git2024081316.76850ca0

=== debian/changelog ===
cloudkitty (20.0.0+git2024081316.76850ca0-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - d/rules: Add version parsing for snapshot compatibility with PBR.

 -- Jadon Naas <jadon.naas@canonical.com>  Thu, 15 Aug 2024 15:58:58 +0100

## cloudkitty 20.1.0

=== debian/changelog ===
cloudkitty (20.1.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Wed, 01 Oct 2025 14:21:47 +0000

cloudkitty (20.0.0-4) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:14:06 +0200

cloudkitty (20.0.0-3) unstable; urgency=medium

  * Add missing python3-rx (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Jul 2024 16:23:00 +0200

cloudkitty (20.0.0-2) unstable; urgency=medium

  * Add support-elasticsearch-datastream.patch.
  * Add Misc_fixes_for_Python_3.12_compatibility.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 11:18:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cloudkitty
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -55,6 +54,7 @@
  python3-pep8,
  python3-pygments,
  python3-reno,
+ python3-rx,
  python3-sphinxcontrib-pecanwsme,
  python3-sphinxcontrib.httpdomain,
  python3-sqlalchemy,
@@ -189,6 +189,7 @@
  python3-pastedeploy,
  python3-pbr,
  python3-pecan,
+ python3-rx,
  python3-sqlalchemy,
  python3-stevedore,
  python3-tooz,

## cloudkitty 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 alembic>=1.4.3 # MIT
 keystonemiddleware>=9.1.0 # Apache-2.0
 gnocchiclient>=7.0.6 # Apache-2.0
-python-monascaclient>=2.2.1 # Apache-2.0
 python-keystoneclient>=4.1.1 # Apache-2.0
 keystoneauth1>=4.2.1 # Apache-2.0
 iso8601>=0.1.13 # MIT
@@ -34,8 +33,10 @@
 tooz>=2.7.1 # Apache-2.0
 voluptuous>=0.12.0 # BSD License
 influxdb>=5.3.1 # MIT
+influxdb-client>=1.36.0 # MIT
 Flask>=2.0.0 # BSD
 Flask-RESTful>=0.3.9 # BSD
 cotyledon>=1.7.3 # Apache-2.0
 futurist>=2.3.0 # Apache-2.0
 datetimerange>=0.6.1 # MIT
+requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
cloudkitty (21.0.0-3~cloud0) noble-epoxy; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Feb 2025 05:02:56 +0000

cloudkitty (21.0.0-3) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:41:32 +0100

cloudkitty (21.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090406).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:16:10 +0100

cloudkitty (21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 15:46:59 +0200

cloudkitty (21.0.0~rc1-3) unstable; urgency=medium

  * Do not run autopkgtest for failing unit tests under i386. See storyboard
    bug: https://storyboard.openstack.org/#!/story/2011231.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2024 17:10:10 +0200

cloudkitty (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:04:46 +0200

cloudkitty (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 16:19:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete
@@ -41,7 +41,7 @@
 	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*storage\.v1\.test_storage\.StorageTotalTest\.test_get_total_without_filter_but_timestamp.*))'
 endif
 
 	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
@@ -112,7 +112,7 @@
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	echo "No man pages for now"
 #	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
-#	dh_installman -O--buildsystem=python_distutils
+#	dh_installman
 endif
 
 override_dh_python3:

## cloudkitty 21.0.1

=== debian/changelog ===
cloudkitty (21.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:08:45 +0000

cloudkitty (21.0.0-5) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.
  * Add Fix_elasticsearch_and_opensearch_requests.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 16:20:22 +0200

## cloudkitty 22.0.0~rc1

=== debian/changelog ===
cloudkitty (22.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:31:32 +0100

cloudkitty (22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop support-elasticsearch-datastream.patch applied upstream.
  * Drop Misc_fixes_for_Python_3.12_compatibility.patch applied usptream.
  * Blacklist PolicyFileTestCase.test_modified_policy_reloads

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 17:43:04 +0100

## cloudkitty 22.0.0

=== debian/changelog ===
cloudkitty (22.0.0-2) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 13:43:26 +0200

cloudkitty (22.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist test_modified_policy_reloads in autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:12:13 +0200

=== debian/control ===
--- 
+++ 
@@ -45,13 +45,12 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslotest,
  python3-pastedeploy,
  python3-pecan,
- python3-pep8,
  python3-pygments,
  python3-reno,
  python3-rx,
@@ -183,7 +182,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-pastedeploy,
